Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::BigInt::DivideByZero Class Referencefinal

`#include <bigint.h>`

Inheritance diagram for Botan::BigInt::DivideByZero:

## Public Member Functions
| DivideByZero ()
virtual int | error_code () const noexcept
ErrorType | error_type () const noexceptoverride
const char * | what () const noexceptoverride

## Detailed Description

DivideByZero Exception

In a future release this exception will be removed and its usage replaced by Invalid_Argument

Definition at line 43 of file bigint.h.

## Constructor & Destructor Documentation

Botan::BigInt::DivideByZero::DivideByZero | ( |  | ) |
| inline

Definition at line 46 of file bigint.h.

46 : Invalid_Argument("BigInt divide by zero") {}
Botan::Invalid_Argument::Invalid_Argument
Invalid_Argument(const std::string &msg)
Definition: exceptn.cpp:84

## Member Function Documentation

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::PKCS11::PKCS11_ReturnError, Botan::System_Error, Botan::Compression_Error, Botan::OpenSSL_Error, Botan::CommonCrypto_Error, Botan::SQL_Database::SQL_DB_Error, Botan::TLS::TLS_Exception, and Botan_FFI::FFI_Error.

Definition at line 112 of file exceptn.h.

112 { return 0; }

ErrorType Botan::Invalid_Argument::error_type | ( |  | ) | const
| inline override virtual noexcept inherited

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Reimplemented in Botan::Decoding_Error, Botan::Encoding_Error, Botan::Invalid_IV_Length, and Botan::Invalid_Key_Length.

Definition at line 145 of file exceptn.h.

References Botan::InvalidArgument.

145 { return ErrorType::InvalidArgument; }
Botan::ErrorType::InvalidArgument

const char* Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

References m_msg.

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), and Botan_FFI::ffi_guard_thunk().

96 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/math/bigint/bigint.h